Skip to content

Initiate a workflow task action. Note that the API does not support initiating task actions requiring eSignatures (where esignature is true).

POST/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/{task_action}
NameDescription
Content-Typeapplication/json or application/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{task_id}The task id field value.
{task_action}The name of the task action retrieved from Retrieve Workflow Task Actions.

Required parameters depend on the action being initiated. Controls marked as required in the Retrieve Workflow Task Action Details response must be provided. If a control (such as verdict) defines a set of required fields, those must also be provided.

For example, the following request parameters may apply to the complete action:

NameDescription
verdictThe verdict name returned in Retrieve Workflow Task Action Details.
reasonThe reason name returned in Retrieve Workflow Task Action Details.
capacityThe capacity name returned in Retrieve Workflow Task Action Details.

The cancel action doesn't require any parameters.

For workflows where type is set to multidocworkflow and cardinality is set to One, Vault pre-populates document field values in field prompts. If you include keys for field prompts without values, Vault submits a blank field value on the document.

curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -H "Accept: application/json" \ --data-urlencode "verdict_public_key__c=verdict_impact_assessment_complete__c" \ --data-urlencode "capacity__c=capacity_0_0__c" \ --data-urlencode "reason__c=reason_0_0__c" \ https://myvault.veevavault.com/api/v24.2/objects/objectworkflows/tasks/502/actions/complete
{ "responseStatus": "SUCCESS" }